/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.karry.dop.nbmodule.dbg.ui;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.ImageIcon;
import org.openide.util.NbBundle;
import org.openide.util.Utilities;
import org.openide.windows.TopComponent;

/**
 * Action which shows DopDbg component.
 */
public class DopDbgAction extends AbstractAction {


    public DopDbgAction() {
        super(NbBundle.getMessage(DopDbgAction.class, "CTL_DopDbgAction"));
//        putValue(SMALL_ICON, new ImageIcon(Utilities.loadImage(DopDbgTopComponent.ICON_PATH, true)));
    }

    public void actionPerformed(ActionEvent evt) {
        TopComponent win = DopDbgTopComponent.findInstance();
        win.open();
        win.requestActive();
    }
}
